Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 27937)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 28329)
@@ -5062,8 +5062,9 @@
 Ensured every tag had a closing tag (or was self-closing)<br />
 Corrected the paths for the CSS stylesheet and image<br />
-Added in links to certain Greenstone pages (like the <i>Login</i>, <i>Help</i>, and <i>Preferences</i> pages).<br /></Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="hp-09">Adding links to specific pages is relatively straightforward. If you want to link to the backdrop collection, for instance, you could simply add in <Format>&lt;a href=&quot;library/collection/backdrop&quot;&gt;backdrop&lt;/a&gt;</Format>. However, if you have many collections, this is time consuming, and the home page would have to be modified every time you added or removed a collection. Instead, we can use XSL to insert appropriate HTML into our page for each collection in our library. First, we will <b>define</b> a template that does this, and then we will <b>call</b> this template in the right spot in our HTML.</Text>
+Added in links to certain Greenstone pages (like the <i>Login</i>, <i>Help</i>, and <i>Preferences</i> pages).<br />
+Added a page icon.<br /></Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="hp-09">Adding links to specific pages is relatively straightforward. If you want to link to the backdrop collection, for instance, you could simply add in <Format>&lt;a href=&quot;{$library_name}/collection/backdrop/page/about&quot;&gt;backdrop&lt;/a&gt;</Format>({$library_name} is a variable that, in this case, will become &quot;library&quot; -- you will learn more about library names in later tutorials). However, if you have many collections, this is time consuming, and the home page would have to be modified every time you added or removed a collection. Instead, we can use XSL to insert appropriate HTML into our page for each collection in our library. First, we will <b>define</b> a template that does this, and then we will <b>call</b> this template in the right spot in our HTML.</Text>
 </NumberedItem>
 <Heading>
@@ -5082,5 +5083,5 @@
 	<Tab n="1"/>&lt;xsl:variable name="collectionName" select="@name"/&gt;<br />
 		<Tab n="2"/>&lt;li&gt;<br />
-		<Tab n="2"/>&lt;a href="library/collection/{$collectionName}/page/about"&gt;<br />
+		<Tab n="2"/>&lt;a href="{$library_name}/collection/{$collectionName}/page/about"&gt;<br />
 		<Tab n="2"/>&lt;xsl:value-of select="displayItem[@name='name']"/&gt;<br />
 		<Tab n="2"/>&lt;/a&gt;<br />
@@ -5173,12 +5174,12 @@
 		<Tab n="2"/>&lt;xsl:when test="$username"&gt;<br />
 			<Tab n="3"/>&lt;li&gt;&lt;a&gt;<br />
-				<Tab n="4"/>&lt;xsl:attribute name="href"&gt;library/admin/AccountSettings?s1.username=&lt;xsl:value-of select="$username"/&gt;&lt;/xsl:attribute&gt;&lt;xsl:value-of select="$username"/&gt;<br />
+				<Tab n="4"/>&lt;xsl:attribute name="href"&gt;&lt;xsl:value-of select="$library_name"/&gt;/admin/AccountSettings?s1.username=&lt;xsl:value-of select="$username"/&gt;&lt;/xsl:attribute&gt;&lt;xsl:value-of select="$username"/&gt;<br />
 			<Tab n="3"/>&lt;/a&gt;&lt;/li&gt;<br />
-			<Tab n="3"/>&lt;li&gt;&lt;a href="library/admin/Register"&gt;Register a new user&lt;/a&gt;&lt;/li&gt;<br />
-					<Tab n="4"/>&lt;li&gt;&lt;a href="library/admin/ListUsers"&gt;Administration&lt;/a&gt;&lt;/li&gt;<br />
-			<Tab n="3"/>&lt;li&gt;&lt;a&gt;&lt;xsl:attribute name="href"&gt;library?logout=&lt;/xsl:attribute&gt;Logout&lt;/a&gt;&lt;/li&gt;<br />
+			<Tab n="3"/>&lt;li&gt;&lt;a href="{$library_name}/admin/AddUser"&gt;Register a new user&lt;/a&gt;&lt;/li&gt;<br />
+					<Tab n="4"/>&lt;li&gt;&lt;a href="{$library_name}/admin/ListUsers"&gt;Administration&lt;/a&gt;&lt;/li&gt;<br />
+			<Tab n="3"/>&lt;li&gt;&lt;a&gt;&lt;xsl:attribute name="href"&gt;&lt;xsl:value-of select="$library_name"/&gt;?logout=&lt;/xsl:attribute&gt;Logout&lt;/a&gt;&lt;/li&gt;<br />
 		<Tab n="2"/>&lt;/xsl:when&gt;<br />
 		<Tab n="2"/>&lt;xsl:otherwise&gt;<br />
-			<Tab n="3"/>&lt;li&gt;&lt;a href="?a=p&amp;amp;sa=login&amp;amp;redirectURL=library%3Fa=p%26sa=home"&gt;Login<br />
+			<Tab n="3"/>&lt;li&gt;&lt;a href="?a=p&amp;amp;sa=login&amp;amp;redirectURL={$library_name}%3Fa=p%26sa=home"&gt;Login<br />
 				<Tab n="4"/>&lt;xsl:attribute name="title"&gt;&lt;xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'login_tip')"/&gt;&lt;/xsl:attribute&gt;<br />
 			<Tab n="3"/>&lt;/a&gt;&lt;/li&gt;<br />
@@ -5191,9 +5192,9 @@
 <Text id="hp-24">Then, find the following section:</Text>
 <Format>
-&lt;li&gt;&lt;a href="?a=p&amp;sa=login&amp;redirectURL=library%3Fa=p%26sa=home"&gt;Login&lt;/a&gt;&lt;/li&gt;<br />
-&lt;li&gt;&lt;a href="library/admin/AccountSettings?s1.username="&gt;Account Settings&lt;/a&gt;&lt;/li&gt;<br />
-&lt;li&gt;&lt;a href="library/admin/AddUser"&gt;Register a new user&lt;/a&gt;&lt;/li&gt;<br />
-&lt;li&gt;&lt;a href="library/admin/ListUsers"&gt;Administration&lt;/a&gt;&lt;/li&gt;<br />
-&lt;li&gt;&lt;a href="library?logout="&gt;Logout&lt;/a&gt;&lt;/li&gt;<br />
+&lt;li&gt;&lt;a href="?a=p&amp;sa=login&amp;redirectURL={$library_name}%3Fa=p%26sa=home"&gt;Login&lt;/a&gt;&lt;/li&gt;<br />
+&lt;li&gt;&lt;a href="{$library_name}/admin/AccountSettings?s1.username="&gt;Account Settings&lt;/a&gt;&lt;/li&gt;<br />
+&lt;li&gt;&lt;a href="{$library_name}/admin/AddUser"&gt;Register a new user&lt;/a&gt;&lt;/li&gt;<br />
+&lt;li&gt;&lt;a href="{$library_name}/admin/ListUsers"&gt;Administration&lt;/a&gt;&lt;/li&gt;<br />
+&lt;li&gt;&lt;a href="{$library_name}?logout="&gt;Logout&lt;/a&gt;&lt;/li&gt;<br />
 </Format>
 <Text id="hp-25">And replace it with this:</Text>