Index: gs2-extensions/afrepo/trunk/src/src/html/about.php
===================================================================
--- gs2-extensions/afrepo/trunk/src/src/html/about.php	(revision 28352)
+++ gs2-extensions/afrepo/trunk/src/src/html/about.php	(revision 28352)
@@ -0,0 +1,96 @@
+<?php
+
+require_once "setup.php";
+$base = parse_url($repo->getURIPrefix());
+$basepath = $base["path"];
+
+?>
+<!DOCTYPE HTML>
+<html>
+  <head>
+    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+
+    <link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=Pacifico">
+    <link rel="stylesheet" href="css/core-style.css" type="text/css" media="screen" />
+
+    
+    <title>SALAMI RDF Dataset and SPARQL Endpoint: <?php echo htmlspecialchars($repo->getName()); ?></title>
+  </head>
+
+  <body>
+    <div id="container">
+
+      <div id="header">
+
+  <h1>The Salami RDF&nbsp;&nbsp;Dataset and SPARQL Endpoint</h1>
+      </div>
+
+      <div id="navigation">
+	<ul>	  
+	  <li><a href="index.php">Home</a></li>
+	  <li><a href="sparql.php">SPARQL</a></li>
+	  <li><a href="examples.php">Examples</a></li>
+	  <li><a href="download.php">Download</a></li>
+	  <li class="selected"><a href="#">About</a></li>
+
+	</ul>
+      </div>
+
+      <div id="content-container">
+
+	<div id="content">
+
+
+    <p><strong>A Paradigm Shift in Music Structural Analysis</strong></p>
+				  <p>We are proposing an innovative and ambitious computational musicology project called Structural Analysis of Large Amounts of Data (SALAMI). To date, musical analysis has been conducted by individuals and on a small scale. Our computational approach, combined with the huge volume of data now available from such source as the Internet Archive, will a) deliver a very substantive corpus of musical analyses in a common framework for use by music scholars, students and beyond; and, b) establish a methodology and tooling which will enable others to add to this in the future and to broaden the application of the techniques we establish. A resource of SALAMIâs magnitude empowers musicologists to approach their work in a new and different way, starting with the data, and to ask research questions that have not been possible before.</p>
+																																																																	  <p>SALAMI will analyse 23,000 hours of digitised music to build a resource for musicologists, based on the musicâs underlying structure. It will use thousands of supercomputing hours, donated by the National Center for Supercomputing Applications (<a href="http://www.ncsa.illinois.edu">NCSA</a>), and draw on a bewildering range of music from the Internet Archive âfrom A Capella to Zydeco, Appalachia to Zambia, and Medieval to Post-Modern.</p>
+																																																																	  <p>Structural analysis of music (formal analysis) is one of the most fundamental analyses performed by music scholars (music theorists, musicologists, ethnomusicologists, etc.). The formal analysis usually precedes any other types of analysis because it provides the overall view of the piece. The main goal of formal analysis is to find similar sections within a piece of music and label these sections, such as ABA and ABCB&#39;A. With further analysis, these sections can be marked with predefined labels such as Intro, Verse, Bridge, Chorus, Verse, and Outro (popular music) or Introduction, Exposition, Development, Recapitulation, and Coda (sonata form).  Thus, the formal analysis is potentially useful in classifying different genres of music and it can be used to compare different styles of composition within a composerâs works or between composers. It can also be used to understand historical influences over time and location. By analyzing large sets of music, new discoveries can be made about these questions. Another important aspect of formal analysis is that it can be applied to almost any music, anything from Russian folk songs to Byzantine music to Miles Davis or to electronic music. Furthermore, there are many musics in the world where other types of analysis, such as harmonic, motivic, or rhythmic, have little meaning. Figure 1. Variations 2 Audio Timeliner from Indiana University is an audio annotation and analysis tool for creating and labeling bubble diagrams. These diagrams can be used to navigate music or other audio for detailed study.  Traditionally, structural analysis of music has been done manually, with very few exceptions (e.g.,Huron (2001), JÃ€rvinen et al. (1999)). This is a time-consuming task and only a small sample of music has been analysed. Moreover, since there are no standard formats for describing the structure (see various examples of traditional analysis in Appendix B), let alone a standard machine-readable file format, there is no simple way to compare large amount of music based upon its various internal structures.</p>
+<p>Even within the field of Music Information Retrieval (MIR) research, with its evolving computational approach to music analysis, the majority of structural analysis work has been performed on a few hundred pieces, at best. SALAMI will be analysing ~350,000 pieces (~23,000 hours). The algorithms chosen, modified and/or developed for use by SALAMI will be trained and evaluated using a set of groundtruth data based upon several thousand exemplars created by trained musicologists. This research paradigm is thus orders of magnitude greater than any previous research.</p>
+
+<p>The range of different kinds of music that will be analysed will be of far larger variety than anything previously done. Most prior analytic research work has focused primarily on Western popular and âclassicalâ music. Our vast dataset includes a wide variety of music from all over the world, from many time periods, and includes folk music, âclassicalâ music, contemporary music, improvised music, and live music.</p>
+<p>The ability to analyse music directly in the audio format is another important contribution of this project. In the past, most music structural analyses have been conducted using only the musical scores that were readily available, especially with European âclassicalâ music. The new audio-based structural information created by SALAMI should offer novel perspectives to music research especially for ethnomusicologists where no scores exist for many of the music cultures.</p>
+<p>Although there is much information to be gained from studying audio data, the technical expertise needed to analyse music in audio format has prevented most music researchers from dealing with the actual performance of the music. With the recent revolution in MIR and CM research, many new tools and algorithms to analyse and to visualise music audio have been developed, the most promising of which will be investigated, modified and then deployed by the SALAMI team.  For music scholars, having access to a large corpus of world music that is already analysed will be of great significance, providing new perspectives and insightspreviously unavailable. They will be able tostudy the popularity or decline of various forms over time and geographical space as well as discovering evolutionary and revolutionary changes in musical forms. SALAMI will be providing actual research examples (along with web-based facilities to conduct and/or replicate the research) that demonstrate how these types of questions can be investigated based on the resultant analytical data. By using uniform methods to analyze a large quantity of music from all over the world SALAMI will empower musicologists and interested music enthusiasts to compare, contrast and explore music structures in ways only limited by their imaginations.</p>
+<p><a href="http://salami.music.mcgill.ca/" target="_blank">Salami Blog</a></p>
+<p><strong>Project Partnership</strong></p>
+<ul>
+<li><a href="http://www.lis.uiuc.edu/oc/people/bio.html?id=jdownie"> J. Stephen Downie </a> (<a href="http://www.illinois.edu">University of Illinois at Urbana-Champaign</a>,United States of America)
+</li>
+<li><a href="http://www.southampton.ac.uk/%7Edder/">David De Roure</a> (<a href="http://www.southampton.ac.uk/">University of Southampton</a>,United Kingdom)
+</li>
+<li><a href="http://www.music.mcgill.ca/~ich/">Ich Fujinaga</a> (<a href="http://www.mcgill.ca/">McGill University</a>, Canada)
+</li>
+</ul>
+  </div>
+
+
+
+
+      <div id="footer" style="border-top: 8px groove #7ECDF3;">
+	<table cellpadding="0px" cellspacing="0px" width="100%">
+	  <tbody>
+	    <tr style="background: white;">
+	      <td align="center">
+		<a href="http://www.sshrc-crsh.gc.ca/Default.aspx">
+		  <img width="400px" src="images/sshrc_logo.jpeg">
+	      </a>
+	      </td>
+	      <td align="center">
+		<a href="http://www.nsf.gov/index.jsp">
+		  <img width="100px" src="images/nsf_logo.jpeg">
+		</a>
+	      </td>
+	      <td align="center">
+		<a href="http://www.jisc.ac.uk/">
+		  <img height="100px" src="images//jisc_logo.jpeg">
+	        </a>
+	      </td>
+	    </tr>
+	  </tbody>
+	</table>
+
+      </div>
+
+      </div>
+
+  </body>
+</html>
Index: gs2-extensions/afrepo/trunk/src/src/html/download.php
===================================================================
--- gs2-extensions/afrepo/trunk/src/src/html/download.php	(revision 28352)
+++ gs2-extensions/afrepo/trunk/src/src/html/download.php	(revision 28352)
@@ -0,0 +1,107 @@
+<?php
+  require_once "setup.php";
+  $base = parse_url($repo->getURIPrefix());
+  $basepath = $base["path"];
+?>
+<!DOCTYPE HTML>
+<html>
+  <head>
+    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+
+    <link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=Pacifico">
+
+    <link rel="stylesheet" href="css/core-style.css" type="text/css" media="screen" />
+
+    
+    <title>SALAMI SPARQL Endpoint</title>
+
+<!--
+    <script src="js/jquery-1.10.1.js" > </script>
+-->
+
+    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.6.2/jquery.min.js"></script>
+
+    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
+    <script type="text/javascript" id="sgvzlr_script" src="http://sgvizler.googlecode.com/svn/release/0.5/sgvizler.js"></script>
+
+
+
+    <script type="text/javascript">
+
+      sgvizler.option.namespace.mo ='http://purl.org/ontology/mo/';
+      sgvizler.option.namespace.salami = 'http://nema.lis.illinois.edu/salamiEndpoint/';
+
+      
+      $(document).ready(sgvizler.go());
+
+
+    </script>
+
+  </head>
+
+  <body>
+    <div id="container">
+
+      <div id="header">
+	<h1>The Salami SPARQL Endpoint</h1>
+      </div>
+
+      <div id="navigation">
+	<ul>	  
+	  <li><a href="index.php">Home</a></li>
+	  <li><a href="sparql.php">SPARQL</a></li>
+	  <li><a href="examples.php">Examples</a></li>
+	  <li class="selected"><a href="#">Download</a></li>
+	  <li><a href="about.php">About</a></li>
+	</ul>
+      </div>
+
+      <div id="content-container">
+
+	<div id="content">
+
+	<h2>Datasets by Algorithm</h2>
+ 
+	<?php echo $repo->attributionToHtmlByAlgorithm(); ?>
+
+
+	<h2>Datasets by Collection</h2>
+ 
+	<?php echo $repo->attributionToHtmlByCollection(); ?>
+
+
+<!--
+		action="<?php echo htmlspecialchars($repo->getSparqlEndpoint()); ?>" method="post"
+-->	  
+	</div>
+      </div>
+
+
+      <div id="footer" style="border-top: 8px groove #7ECDF3;">
+	<table cellpadding="0px" cellspacing="0px" width="100%">
+	  <tbody>
+	    <tr style="background: white;">
+	      <td align="center">
+		<a href="http://www.sshrc-crsh.gc.ca/Default.aspx">
+		  <img width="400px" src="images/sshrc_logo.jpeg">
+	      </a>
+	      </td>
+	      <td align="center">
+		<a href="http://www.nsf.gov/index.jsp">
+		  <img width="100px" src="images/nsf_logo.jpeg">
+		</a>
+	      </td>
+	      <td align="center">
+		<a href="http://www.jisc.ac.uk/">
+		  <img height="100px" src="images//jisc_logo.jpeg">
+	        </a>
+	      </td>
+	    </tr>
+	  </tbody>
+	</table>
+
+      </div>
+
+  </div>
+	</body>
+</html>
Index: gs2-extensions/afrepo/trunk/src/src/html/examples.php
===================================================================
--- gs2-extensions/afrepo/trunk/src/src/html/examples.php	(revision 28352)
+++ gs2-extensions/afrepo/trunk/src/src/html/examples.php	(revision 28352)
@@ -0,0 +1,188 @@
+<?php
+  require_once "setup.php";
+  $base = parse_url($repo->getURIPrefix());
+  $basepath = $base["path"];
+?>
+<!DOCTYPE HTML>
+<html>
+  <head>
+    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
+
+    <link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=Pacifico">
+
+    <link rel="stylesheet" href="css/core-style.css" type="text/css" media="screen" />
+
+    
+    <title>SALAMI SPARQL Endpoint</title>
+
+<!--
+    <script src="js/jquery-1.10.1.js" > </script>
+-->
+
+    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.6.2/jquery.min.js"></script>
+
+    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
+    <script type="text/javascript" id="sgvzlr_script" src="http://sgvizler.googlecode.com/svn/release/0.5/sgvizler.js"></script>
+
+
+
+    <script type="text/javascript">
+
+      sgvizler.option.namespace.mo ='http://purl.org/ontology/mo/';
+      sgvizler.option.namespace.salami = 'http://nema.lis.illinois.edu/salamiEndpoint/';
+
+      
+      $(document).ready(sgvizler.go());
+
+
+    </script>
+
+  </head>
+
+  <body>
+    <div id="container">
+
+      <div id="header">
+	<h1>The Salami SPARQL Endpoint</h1>
+      </div>
+
+      <div id="navigation">
+	<ul>	  
+	  <li><a href="index.php">Home</a></li>
+	  <li><a href="sparql.php">SPARQL</a></li>
+	  <li class="selected"><a href="#">Examples</a></li>
+	  <li><a href="download.php">Download</a></li>
+	  <li><a href="about.php">About</a></li>
+	</ul>
+      </div>
+
+      <div id="content-container">
+
+	<div id="content">
+
+
+<!--
+		action="<?php echo htmlspecialchars($repo->getSparqlEndpoint()); ?>" method="post"
+-->	  
+          <h2>Example 1</h2>
+	  <p>
+            Retrieve all the tracks in the Salami dataset that correspond to MusicBrainz tracks
+	  </p>
+<pre>
+  PREFIX rdf: &lt;http://www.w3.org/1999/02/22-rdf-syntax-ns#&gt;
+  PREFIX rdfs: &lt;http://www.w3.org/2000/01/rdf-schema#&gt;
+  PREFIX mo: &lt;http://purl.org/ontology/mo/&gt;
+  PREFIX salami: &lt;http://nema.lis.illinois.edu/salamiEndpoint/&gt;
+
+  SELECT ?o
+  WHERE {
+    ?s mo:derived_from ?o.
+  }
+</pre>
+
+<a href="<?php echo htmlspecialchars($repo->getSparqlEndpoint());?>?query=PREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+mo%3A+%3Chttp%3A%2F%2Fpurl.org%2Fontology%2Fmo%2F%3E%0APREFIX+salami%3A+%3Chttp%3A%2F%2Fnema.lis.illinois.edu%2FsalamiEndpoint%2F%3E%0A%0ASELECT+%3Fo+WHERE+%7B%0A+%3Fs+mo%3Aderived_from+%3Fo%0A%7D%0A%09++++&output=text"/>Execute Sparql Query</a>
+
+
+
+
+          <h2>Example 2</h2>
+	  <p>
+            Overview of the predicates in the tripple-store
+	  </p>
+<pre>
+  PREFIX mo: &lt;http://purl.org/ontology/mo/&gt;
+  PREFIX salami: &lt;http://nema.lis.illinois.edu/salamiEndpoint/&gt;
+
+  SELECT ?p (COUNT(?p) AS ?pCount)
+  WHERE {
+    ?s ?p ?o.
+  } 
+  GROUP BY ?p
+  ORDER BY ?p
+</pre>
+
+
+  <a href="<?php echo htmlspecialchars($repo->getSparqlEndpoint());?>?query=PREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+mo%3A+%3Chttp%3A%2F%2Fpurl.org%2Fontology%2Fmo%2F%3E%0APREFIX+salami%3A+%3Chttp%3A%2F%2Fnema.lis.illinois.edu%2FsalamiEndpoint%2F%3E%0A%0ASELECT+%3Fp+(COUNT(%3Fp)+AS+%3FpCount)%0AWHERE+%7B%0A+%3Fs+%3Fp+%3Fo.%0A%7D%0AGROUP+BY+%3Fp%0AORDER+BY+%3Fp&output=text&soft-limit=-1"/>Execute Sparql Query</a>
+
+<div id="sgvzl_example2"
+      data-sgvizler-endpoint="<?php echo htmlspecialchars($repo->getSparqlEndpoint());?>"
+      data-sgvizler-query="
+  SELECT ?p (COUNT(?p) AS ?pCount)
+  WHERE {
+    ?s ?p ?o.
+  } 
+  GROUP BY ?p
+  ORDER BY ?p"
+      data-sgvizler-chart="gTable"
+      data-sgvizler-loglevel="2"
+      style="width:100%; height:290px;"></div> 
+    
+
+          <h2>Example 3</h2>
+	  <p>
+            Find out the distribution between mono and stereo tracks.
+	  </p>
+<pre>
+  PREFIX mo: &lt;http://purl.org/ontology/mo/&gt;
+  PREFIX salami: &lt;http://nema.lis.illinois.edu/salamiEndpoint/&gt;
+
+  SELECT (STR(?channel) as ?channelStr) (COUNT(?channel) AS ?freqCount)
+  WHERE {
+    ?signalID  a           mo:DigitalSignal ;
+               mo:channels ?channel.
+  } 
+  GROUP BY ?channel
+</pre>
+
+<a href="<?php echo htmlspecialchars($repo->getSparqlEndpoint());?>?query=PREFIX%20mo:%20%3Chttp://purl.org/ontology/mo/%3E%20PREFIX%20salami:%20%3Chttp://nema.lis.illinois.edu/salamiEndpoint/%3E%20SELECT%20?channel%20(COUNT(?channel)%20AS%20?freqCount)%20WHERE%20{%20?signalID%20a%20mo:DigitalSignal%20;%20mo:channels%20?channel.%20}%20GROUP+BY%20?channel&output=text&soft-limit=-1"/>Execute Sparql Query</a>
+
+
+
+<div id="sgvzl_example3"
+      data-sgvizler-endpoint="<?php echo htmlspecialchars($repo->getSparqlEndpoint());?>"
+      data-sgvizler-query="
+  SELECT (STR(?channel) AS ?channelStr) (COUNT(?channel) AS ?freqCount)
+  WHERE {
+    ?signalID  a           mo:DigitalSignal ;
+               mo:channels ?channel.
+  } 
+  GROUP BY ?channel"
+      XXdata-sgvizler-chart="gPieChart"
+      data-sgvizler-chart="gBarChart"
+      data-sgvizler-loglevel="2"
+      data-sgvizler-chart-options="title=Mono vs. Stereo Tracks|vAxis.title=Number of Channels"
+      style="width:100%; height:80px;"></div> 
+
+
+</div>
+
+
+
+      <div id="footer" style="border-top: 8px groove #7ECDF3;">
+	<table cellpadding="0px" cellspacing="0px" width="100%">
+	  <tbody>
+	    <tr style="background: white;">
+	      <td align="center">
+		<a href="http://www.sshrc-crsh.gc.ca/Default.aspx">
+		  <img width="400px" src="images/sshrc_logo.jpeg">
+	      </a>
+	      </td>
+	      <td align="center">
+		<a href="http://www.nsf.gov/index.jsp">
+		  <img width="100px" src="images/nsf_logo.jpeg">
+		</a>
+	      </td>
+	      <td align="center">
+		<a href="http://www.jisc.ac.uk/">
+		  <img height="100px" src="images//jisc_logo.jpeg">
+	        </a>
+	      </td>
+	    </tr>
+	  </tbody>
+	</table>
+
+      </div>
+
+  </div>
+	</body>
+</html>
Index: gs2-extensions/afrepo/trunk/src/src/html/index.php
===================================================================
--- gs2-extensions/afrepo/trunk/src/src/html/index.php	(revision 28351)
+++ gs2-extensions/afrepo/trunk/src/src/html/index.php	(revision 28352)
@@ -34,5 +34,6 @@
 	  <li><a href="sparql.php">SPARQL</a></li>
 	  <li><a href="examples.php">Examples</a></li>
-	  <li><a href="contact.php">Contact</a></li>
+	  <li><a href="download.php">Download</a></li>
+	  <li><a href="about.php">About</a></li>
 	</ul>
       </div>
Index: gs2-extensions/afrepo/trunk/src/src/html/sparql.php
===================================================================
--- gs2-extensions/afrepo/trunk/src/src/html/sparql.php	(revision 28351)
+++ gs2-extensions/afrepo/trunk/src/src/html/sparql.php	(revision 28352)
@@ -23,48 +23,26 @@
     function onSubmit() {
 
+      $('#rdf-execute').css("cursor","wait");
+      $('#rdf-results').css("cursor","wait");
+
       $.ajax({
-          type: "GET",
+	    type: "GET",
 	    
-	    /*
-  	  beforeSend: function (request) {
-  	    //request.setRequestHeader("Authority", authorizationToken);
-	    //request.setRequestHeader("origin", "http://nema.lis.illinois.edu");
-	    },
-	    */
-
 	    url: "<?php echo $repo->getSparqlEndpoint();?>",
 	    data: { "query": $('#rdf-query').val(), "output": $('#rdf-output').val(), "soft-limit": $('#rdf-soft-limit').val() },
-	       //processData: false,
 
 
-	    /*
-	  xhrFields: {
-	    withCredentials: true
-	  },
-	  crossDomain: true,
-	    */
-
-	    // accepts: "text/plain",
-	    //converters: {},
 	    dataType: "text",
 
-	  success: function(msg) {
-	    //var $msg = $(msg);
-	    //alert("msg = " +msg);
+	    success: function(msg) {
+                $('#rdf-execute').css("cursor","auto");
+                $('#rdf-results').css("cursor","auto");
+	        $('#rdf-results').val(msg);
+	    },
 
-	    //$('#rdf-results').val(msg.documentElement.outerHTML);
-	    $('#rdf-results').val(msg);
-	  },
-
-
-	error: function(err) {
-	    //alert(err.toString());
-	    //if (err.status == 200) {
-	    //  ParseResult(err);
-	    //}
-	    //else { }
-
-	    alert('Error:' + err.responseText + '  Status: ' + err.status); 
-	  }
+   
+            error: function(err) {
+	        alert('Error:' + err.responseText + '  Status: ' + err.status); 
+	    }
 
       });
@@ -84,7 +62,4 @@
 
       <div id="header">
-<!--
-	<h1>The SALAMI SPARQL Endpoint</h1>
--->
 	<h1>The Salami SPARQL Endpoint</h1>
       </div>
@@ -95,5 +70,6 @@
 	  <li class="selected"><a href="#">SPARQL</a></li>
 	  <li><a href="examples.php">Examples</a></li>
-	  <li><a href="contact.php">Contact</a></li>
+	  <li><a href="download.php">Download</a></li>
+	  <li><a href="about.php">About</a></li>
 	</ul>
       </div>
@@ -147,5 +123,5 @@
 
    <span style="margin: 5px 40px 5px 40px;">
-     <input type="submit" value="Execute">
+     <input type="submit" value="Execute" id="rdf-execute">
    </span>
 