Index: 2-extensions/apache-jena/trunk/src/gs3-setup.bat
===================================================================
--- /gs2-extensions/apache-jena/trunk/src/gs3-setup.bat	(revision 28414)
+++ 	(revision )
@@ -1,62 +1,0 @@
-@echo off
-pushd "%CD%"
-CD /D "%~dp0"
-
-set extdesc=the Apache Jena Extension
-
-if "%OS%" == "Windows_NT" goto WinNT
-if "%OS%" == "" goto Win95
-if "%GSDLLANG%" == "en" echo Setup failed - your PATH has not been set
-if "%GSDLLANG%" == "es" echo No se pudo realizar la configuraci¢n - no se ha establecido la RUTA.
-if "%GSDLLANG%" == "fr" echo Echc de l'installation - votre variable PATH n'a pas t ajuste
-if "%GSDLLANG%" == "ru" echo áâ ­®¢ª  ­¥ ã€ « áì -  ­¥ ¡ë« ãáâ ­®¢«¥­
-goto End
-
-:WinNT
-set GEXT_JENA=%CD%
-set PATH=%GEXT_JENA%\bin\script;%PATH%
-set PATH=%GEXT_JENA%\lib;%PATH%
-set GS_CP_SET=yes
-goto Success
-
-:Win95
-if "%1" == "SetEnv" goto Win95Env
-REM We'll invoke a second copy of the command processor to make
-REM sure there's enough environment space
-COMMAND /E:2048 /K %0 SetEnv
-goto End
-
-:Win95Env
-set GEXT_JENA=%CD%
-set PATH="%GEXT_JENA%\bin\script";"%PATH%"
-set PATH="%GEXT_JENA%\lib";"%PATH%"
-set GS_CP_SET=yes
-goto Success
-
-:Success
-
-set fulldir=%~dp0
-
-:: strip off everything up to (and including) ext dir
-set extdir=%fulldir:*ext\=%
-
-:: remove trailing slash
-set extdir=%extdir:\=%
-
-setlocal enabledelayedexpansion
-if "x%GSDLEXTS%" == "x" (
-  set GSDLEXTS=!extdir!
-) else (
-  set GSDLEXTS=!GSDLEXTS!:!extdir!
-)
-endlocal & set GSDLEXTS=%GSDLEXTS%
-
-echo +Your environment is now setup for %extdesc%
-
-:: Back to delayed expansion to avoid problems with environment
-:: variables with brackets in them, such as "Program Files (x86)"
-
-
-:End
-
-popd
Index: 2-extensions/apache-jena/trunk/src/gs3-setup.sh
===================================================================
--- /gs2-extensions/apache-jena/trunk/src/gs3-setup.sh	(revision 28414)
+++ 	(revision )
@@ -1,60 +1,0 @@
-
-extdesc="the Apache Jena Extension"
-
-full_setup=`pwd`/${BASH_SOURCE}
-fulldir=${full_setup%/*}
-fulldir=${fulldir%/.}
-
-if test -z $GSDLOS ; then
-  GSDLOS=`uname -s | tr '[A-Z]' '[a-z]'`
-  # check for running bash under Cygwin
-  if test "`echo $GSDLOS | sed 's/cygwin//'`" != "$GSDLOS" ;
-  then
-    GSDLOS=windows
-  fi
-  # check for running bash under MinGW/MSys
-  if test "`echo $GSDLOS | sed 's/mingw//'`" != "$GSDLOS" ;
-  then
-    GSDLOS=windows
-  fi
-  echo "GSDLOS was not set.  Setting it to '$GSDLOS'"
-  export GSDLOS
-fi
-
-
-if [ "x$GEXT_JENA" = "x" ] ; then
-  export GEXT_JENA=`pwd`
-  export GEXT_JENA_INSTALLED=$GEXT_JENA # Pure Java, so no need for OS dependant directory
-
-  export FUSEKI_HOME=$GEXT_JENA
-
-  if [ -d "$GEXT_JENA_INSTALLED/bin/script" ] ; then
-    export PATH=$GEXT_JENA_INSTALLED/bin/script:$PATH
-  fi
-
-#  if [ -d "$GEXT_JENA_INSTALLED/bin" ] ; then
-#    export PATH=$GEXT_JENA_INSTALLED/bin:$PATH
-#  fi
-
-
-#  if [ -d "$GEXT_JENA/lib" ] ; then
-#    if [ "$GSDLOS" = "linux" ] ; then
-#      export LD_LIBRARY_PATH=$GEXT_JENA/lib:$LD_LIBRARY_PATH
-#    elif [ "$GSDLOS" = "darwin" ] ; then
-#      export DYLD_LIBRARY_PATH=$GEXT_JENA/lib:$DYLD_LIBRARY_PATH
-#    fi
-#  fi
-
-  extdir=${GEXT_JENA##*/}
-
-  if [ "x$GSDLEXTS" = "x" ] ; then
-    export GSDLEXTS=$extdir
-  else 
-    export GSDLEXTS=$GSDLEXTS:$extdir
-  fi
-
-
-  echo "+Your environment is now setup for $extdesc"
-else
-  echo "+Your environment is already setup for $extdesc"
-fi
Index: /gs2-extensions/apache-jena/trunk/src/setup.bash
===================================================================
--- /gs2-extensions/apache-jena/trunk/src/setup.bash	(revision 28415)
+++ /gs2-extensions/apache-jena/trunk/src/setup.bash	(revision 28415)
@@ -0,0 +1,60 @@
+
+extdesc="the Apache Jena Extension"
+
+full_setup=`pwd`/${BASH_SOURCE}
+fulldir=${full_setup%/*}
+fulldir=${fulldir%/.}
+
+if test -z $GSDLOS ; then
+  GSDLOS=`uname -s | tr '[A-Z]' '[a-z]'`
+  # check for running bash under Cygwin
+  if test "`echo $GSDLOS | sed 's/cygwin//'`" != "$GSDLOS" ;
+  then
+    GSDLOS=windows
+  fi
+  # check for running bash under MinGW/MSys
+  if test "`echo $GSDLOS | sed 's/mingw//'`" != "$GSDLOS" ;
+  then
+    GSDLOS=windows
+  fi
+  echo "GSDLOS was not set.  Setting it to '$GSDLOS'"
+  export GSDLOS
+fi
+
+
+if [ "x$GEXT_JENA" = "x" ] ; then
+  export GEXT_JENA=`pwd`
+  export GEXT_JENA_INSTALLED=$GEXT_JENA # Pure Java, so no need for OS dependant directory
+
+  export FUSEKI_HOME=$GEXT_JENA
+
+  if [ -d "$GEXT_JENA_INSTALLED/bin/script" ] ; then
+    export PATH=$GEXT_JENA_INSTALLED/bin/script:$PATH
+  fi
+
+#  if [ -d "$GEXT_JENA_INSTALLED/bin" ] ; then
+#    export PATH=$GEXT_JENA_INSTALLED/bin:$PATH
+#  fi
+
+
+#  if [ -d "$GEXT_JENA/lib" ] ; then
+#    if [ "$GSDLOS" = "linux" ] ; then
+#      export LD_LIBRARY_PATH=$GEXT_JENA/lib:$LD_LIBRARY_PATH
+#    elif [ "$GSDLOS" = "darwin" ] ; then
+#      export DYLD_LIBRARY_PATH=$GEXT_JENA/lib:$DYLD_LIBRARY_PATH
+#    fi
+#  fi
+
+  extdir=${GEXT_JENA##*/}
+
+  if [ "x$GSDLEXTS" = "x" ] ; then
+    export GSDLEXTS=$extdir
+  else 
+    export GSDLEXTS=$GSDLEXTS:$extdir
+  fi
+
+
+  echo "+Your environment is now setup for $extdesc"
+else
+  echo "+Your environment is already setup for $extdesc"
+fi
Index: /gs2-extensions/apache-jena/trunk/src/setup.bat
===================================================================
--- /gs2-extensions/apache-jena/trunk/src/setup.bat	(revision 28415)
+++ /gs2-extensions/apache-jena/trunk/src/setup.bat	(revision 28415)
@@ -0,0 +1,62 @@
+@echo off
+pushd "%CD%"
+CD /D "%~dp0"
+
+set extdesc=the Apache Jena Extension
+
+if "%OS%" == "Windows_NT" goto WinNT
+if "%OS%" == "" goto Win95
+if "%GSDLLANG%" == "en" echo Setup failed - your PATH has not been set
+if "%GSDLLANG%" == "es" echo No se pudo realizar la configuraci¢n - no se ha establecido la RUTA.
+if "%GSDLLANG%" == "fr" echo Echc de l'installation - votre variable PATH n'a pas t ajuste
+if "%GSDLLANG%" == "ru" echo áâ ­®¢ª  ­¥ ã€ « áì -  ­¥ ¡ë« ãáâ ­®¢«¥­
+goto End
+
+:WinNT
+set GEXT_JENA=%CD%
+set PATH=%GEXT_JENA%\bin\script;%PATH%
+set PATH=%GEXT_JENA%\lib;%PATH%
+set GS_CP_SET=yes
+goto Success
+
+:Win95
+if "%1" == "SetEnv" goto Win95Env
+REM We'll invoke a second copy of the command processor to make
+REM sure there's enough environment space
+COMMAND /E:2048 /K %0 SetEnv
+goto End
+
+:Win95Env
+set GEXT_JENA=%CD%
+set PATH="%GEXT_JENA%\bin\script";"%PATH%"
+set PATH="%GEXT_JENA%\lib";"%PATH%"
+set GS_CP_SET=yes
+goto Success
+
+:Success
+
+set fulldir=%~dp0
+
+:: strip off everything up to (and including) ext dir
+set extdir=%fulldir:*ext\=%
+
+:: remove trailing slash
+set extdir=%extdir:\=%
+
+setlocal enabledelayedexpansion
+if "x%GSDLEXTS%" == "x" (
+  set GSDLEXTS=!extdir!
+) else (
+  set GSDLEXTS=!GSDLEXTS!:!extdir!
+)
+endlocal & set GSDLEXTS=%GSDLEXTS%
+
+echo +Your environment is now setup for %extdesc%
+
+:: Back to delayed expansion to avoid problems with environment
+:: variables with brackets in them, such as "Program Files (x86)"
+
+
+:End
+
+popd