Index: main/trunk/release-kits/shared/core/language-strings/LanguagePack.properties
===================================================================
--- main/trunk/release-kits/shared/core/language-strings/LanguagePack.properties	(revision 28301)
+++ main/trunk/release-kits/shared/core/language-strings/LanguagePack.properties	(revision 28452)
@@ -66,5 +66,5 @@
 
 Installing_Documented_Examples.displayText=Documented Example Collections
-Installing_Documented_Examples.explanatoryText=A set of example collections, whose 'about' pages describe how they were created.\n\nEven if you don't install the Documented Examples now, you can get them from\nhttp://www.greenstone.org/ or from the greenstone CD-ROM.
+Installing_Documented_Examples.explanatoryText=A set of example collections, whose 'about' pages describe how they were created.\n\nEven if you don't install the Documented Examples now, you can get them from\nhttp\://www.greenstone.org/ or from the greenstone CD-ROM.
 
 ### Admin password page '
@@ -73,5 +73,5 @@
 admin-expl.displayText=The administration pages of the Greenstone interface allow you to manage the users database, which is required if you wish to set up remote greenstone. They also provide an easy way to view log files and to edit the file 'main.cfg'.
 admin-expl-2.displayText=Do you wish to the enable the administration pages of Greenstone? (You will be asked for a password on the next page.)
-admin-expl-3.displayText=NOTE: If you enable the administration pages, they may be accessible over the internet. Please choose a secure password to protect them. \n NOTE: Administration pages can be enabled/disabled later by editing etc/main.cfg. Set status to enabled/disabled. An initial admin account with password admin will be created. Change this immediately.
+admin-expl-3.displayText=NOTE\: If you enable the administration pages, they may be accessible over the internet. Please choose a secure password to protect them. \n NOTE\: Administration pages can be enabled/disabled later by editing etc/main.cfg. Set status to enabled/disabled. An initial admin account with password admin will be created. Change this immediately.
 enable.admin.pages.displayText=Enable Admin Pages
 
@@ -111,6 +111,6 @@
 uninstaller.readonly=Read Only
 
-uninstaller.will.uninstall.from=Uninstall Greenstone from:
-uninstaller.uninstall.options=Uninstall Options:
+uninstaller.will.uninstall.from=Uninstall Greenstone from\:
+uninstaller.uninstall.options=Uninstall Options\:
 uninstaller.keep.collections=Keep Collections
 uninstaller.are.you.sure=Are you sure you wish to Uninstall Greenstone
@@ -121,12 +121,12 @@
 uninstaller.deleting=Deleting {file} from disk
 
-uninstaller.info.skipping=INFO: Skipping {file}
-uninstaller.info.no.startmenu=INFO: No StartMenu path found. Deleting a StartMenu group will not be part of this uninstall
-uninstaller.warning.readonly=WARNING: {file} appears to be read-only
-uninstaller.warning.couldnt.delete=WARNING: {file} could not be deleted. Skipped.
-uninstaller.warning.nonexistent=WARNING: {file} does not exist
-uninstaller.error.nonexistent=ERROR: {file} does not exist
-uninstaller.error.couldnt.find.install.props=ERROR: Could not find the 'installation.properties' or 'etc/installation.properties' file.\nEither this is not a valid Greenstone installation, or the installation has been corrupted.\nUninstallation cannot proceed
-uninstaller.warning.couldnt.create.flagfile=WARNING: Couldn't create the flag file. You will have to delete the jre and loose uninstaller files manually
+uninstaller.info.skipping=INFO\: Skipping {file}
+uninstaller.info.no.startmenu=INFO\: No StartMenu path found. Deleting a StartMenu group will not be part of this uninstall
+uninstaller.warning.readonly=WARNING\: {file} appears to be read-only
+uninstaller.warning.couldnt.delete=WARNING\: {file} could not be deleted. Skipped.
+uninstaller.warning.nonexistent=WARNING\: {file} does not exist
+uninstaller.error.nonexistent=ERROR\: {file} does not exist
+uninstaller.error.couldnt.find.install.props=ERROR\: Could not find the 'installation.properties' or 'etc/installation.properties' file.\nEither this is not a valid Greenstone installation, or the installation has been corrupted.\nUninstallation cannot proceed
+uninstaller.warning.couldnt.create.flagfile=WARNING\: Couldn't create the flag file. You will have to delete the jre and loose uninstaller files manually
 
 